Subject: Re: [PATCH net-next] net: phy: fixed_phy: Fix fixed_phy not checking GPIO

From: Andrew Lunn <[email-masked]>
Date: Wed, 6 Feb 2019 22:59:05 +0100

On Wed, Feb 06, 2019 at 10:10:40AM -0800, Moritz Fischer wrote:
> Fix fixed_phy not checking GPIO if no link_update callback
> is registered.
> 
> Signed-off-by: Moritz Fischer <[email-masked]>
> ---
> 
> Hi all,
> 
> I've been trying to figure out where exactly this broke,
> it must've been somewhere when the file was refactored
> in connection with phylink?

Hi Moritz

With a quick inspection, i also cannot see where it broken.

I think part of the issue is that all the current users have moved
onto using phylink, and phylink polls the GPIO, rather than having
fixed_link do it.

I would prefer to understand exactly which change broke it. Without
knowing how it broke, it is hard to say if this is the correct fix.

What is your use-case? You Cc: the usb list. So a USB-Ethernet dongle?
But then why fixed-link?

	Andrew